<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');


abstract class MY_Controller extends CI_Controller
{

    public function __construct()
    {
        parent::__construct();
        //$this->load->memcache();
        //$this->db_esf = $this->load->database('dsn_esf',true);
        //$this->db_esfback = $this->load->database('dsn_esfbak',true);
    }

    function MY_Controller()
    {
        parent::CI_Controller();
    }

	function get_big_pic_new($pic_url)
	{
		if(strpos($pic_url,'thumb/')===false){	  
		   $return_url =preg_replace("/_[0-9]*x-?[0-9]*[_a-z]*\./",".",$pic_url);
		}else{
		   $return_url =    str_replace('thumb/','',$pic_url);
		}
		return $return_url;
	}

}